Std ViewTop: Difference between revisions

From FreeCAD Documentation
(Std ViewTop puts the camera in the 3D view looking down from above, in the direction of the negative Z axis, [0.0, 0.0, -1.0])
(Gui.ActiveDocument.ActiveView.getViewDirection() to get the direction of the view)
Line 7: Line 7:
|Workbenches=All
|Workbenches=All
|Shortcut=2
|Shortcut=2
|SeeAlso=[[Std_OrthographicCamera|Orthographic camera]]
|SeeAlso=[[Std_ViewFront|ViewFront]], [[Std_ViewRight|ViewRight]]
}}
}}


Line 31: Line 31:


<!--T:8-->
<!--T:8-->
The isometric view can be set from the [[Python|Python]] console.
The isometric view can be set from the [[Python console|Python console]].


<!--T:9-->
<!--T:9-->
Line 40: Line 40:
import FreeCADGui as Gui
import FreeCADGui as Gui
Gui.ActiveDocument.ActiveView.viewTop()
Gui.ActiveDocument.ActiveView.viewTop()

Gui.ActiveDocument.ActiveView.getViewDirection()
}}
}}
<translate>
<translate>

Revision as of 06:36, 24 November 2019

Std ViewTop

Menu location
View → Standard views → Top
Workbenches
All
Default shortcut
2
Introduced in version
-
See also
ViewFront, ViewRight

Description

Std ViewTop puts the camera in the 3D view looking down from above, in the direction of the negative Z axis, [0.0, 0.0, -1.0].

The top view sets the camera looking down, in the direction of the negative Z axis.

How to use

  • Go to the menu View → Standard views → Top.
  • Or press the Top button.
  • Or press 2 in the numerical pad of the keyboard.

Scripting

The isometric view can be set from the Python console.

It is a method of the ActiveView of the ActiveDocument. The ActiveView only exists when the graphical interface is available; it does not exist when FreeCAD is used in purely console mode.

import FreeCADGui as Gui
Gui.ActiveDocument.ActiveView.viewTop()

Gui.ActiveDocument.ActiveView.getViewDirection()